## abinit 7.8.2

=== Makefile ===
#
# Top Makefile for linear algebra libraries
#

include config.mk

INSTALL = ./install-sh

all_targets all:
	cd blas && $(MAKE)
	cd lapack && $(MAKE)

install:
	$(INSTALL) -d -m 755 $(prefix)/lib
	$(INSTALL) -m 644 blas/libblas.a $(prefix)/lib
	$(INSTALL) -m 644 lapack/liblapack.a $(prefix)/lib

clean:
	cd blas && $(MAKE) clean
	cd lapack && $(MAKE) clean

=== lapack/Makefile ===
#
# Makefile for the LAPACK library embedded in ABINIT
#

include ../config.mk

.SUFFIXES:
.SUFFIXES: .o .f

.f.o:
	$(F77) $(FFLAGS) -c $<

lapack_objects = \
cbdsqr.o \
cgbbrd.o \
cgbcon.o \
cgbequb.o \
cgbequ.o \
cgbrfs.o \
cgbrfsx.o \
cgbsv.o \
cgbsvx.o \
cgbsvxx.o \
cgbtf2.o \
cgbtrf.o \
cgbtrs.o \
cgebak.o \
cgebal.o \
cgebd2.o \
cgebrd.o \
cgecon.o \
cgeequb.o \
cgeequ.o \
cgees.o \
cgeesx.o \
cgeev.o \
cgeevx.o \
cgegs.o \
cgegv.o \
cgehd2.o \
cgehrd.o \
cgelq2.o \
cgelqf.o \
cgelsd.o \
cgels.o \
cgelss.o \
cgelsx.o \
cgelsy.o \
cgeql2.o \
cgeqlf.o \
cgeqp3.o \
cgeqpf.o \
cgeqr2.o \
cgeqrf.o \
cgerfs.o \
cgerfsx.o \
cgerq2.o \
cgerqf.o \
cgesc2.o \
cgesdd.o \
cgesvd.o \
cgesv.o \
cgesvx.o \
cgesvxx.o \
cgetc2.o \
cgetf2.o \
cgetrf.o \
cgetri.o \
cgetrs.o \
cggbak.o \
cggbal.o \
cgges.o \
cggesx.o \
cggev.o \
cggevx.o \
cggglm.o \
cgghrd.o \
cgglse.o \
cggqrf.o \
cggrqf.o \
cggsvd.o \
cggsvp.o \
cgtcon.o \
cgtrfs.o \
cgtsv.o \
cgtsvx.o \
cgttrf.o \
cgttrs.o \
cgtts2.o \
chbevd.o \
chbev.o \
chbevx.o \
chbgst.o \
chbgvd.o \
chbgv.o \
chbgvx.o \
chbtrd.o \
checon.o \
cheequb.o \
cheevd.o \
cheev.o \
cheevr.o \
cheevx.o \
chegs2.o \
chegst.o \
chegvd.o \
chegv.o \
chegvx.o \
cherfs.o \
cherfsx.o \
chesv.o \
chesvx.o \
chesvxx.o \
chetd2.o \
chetf2.o \
chetrd.o \
chetrf.o \
chetri.o \
chetrs.o \
chfrk.o \
chgeqz.o \
chla_transtype.o \
chpcon.o \
chpevd.o \
chpev.o \
chpevx.o \
chpgst.o \
chpgvd.o \
chpgv.o \
chpgvx.o \
chprfs.o \
chpsv.o \
chpsvx.o \
chptrd.o \
chptrf.o \
chptri.o \
chptrs.o \
chsein.o \
chseqr.o \
clabrd.o \
clacgv.o \
clacn2.o \
clacon.o \
clacp2.o \
clacpy.o \
clacrm.o \
clacrt.o \
cladiv.o \
claed0.o \
claed7.o \
claed8.o \
claein.o \
claesy.o \
claev2.o \
clag2z.o \
cla_gbamv.o \
cla_gbrcond_c.o \
cla_gbrcond_x.o \
cla_gbrfsx_extended.o \
cla_gbrpvgrw.o \
cla_geamv.o \
cla_gercond_c.o \
cla_gercond_x.o \
cla_gerfsx_extended.o \
clags2.o \
clagtm.o \
cla_heamv.o \
clahef.o \
cla_hercond_c.o \
cla_hercond_x.o \
cla_herfsx_extended.o \
cla_herpvgrw.o \
clahqr.o \
clahr2.o \
clahrd.o \
claic1.o \
cla_lin_berr.o \
clals0.o \
clalsa.o \
clalsd.o \
clangb.o \
clange.o \
clangt.o \
clanhb.o \
clanhe.o \
clanhf.o \
clanhp.o \
clanhs.o \
clanht.o \
clansb.o \
clansp.o \
clansy.o \
clantb.o \
clantp.o \
clantr.o \
clapll.o \
clapmt.o \
cla_porcond_c.o \
cla_porcond_x.o \
cla_porfsx_extended.o \
cla_porpvgrw.o \
claqgb.o \
claqge.o \
claqhb.o \
claqhe.o \
claqhp.o \
claqp2.o \
claqps.o \
claqr0.o \
claqr1.o \
claqr2.o \
claqr3.o \
claqr4.o \
claqr5.o \
claqsb.o \
claqsp.o \
claqsy.o \
clar1v.o \
clar2v.o \
clarcm.o \
clarfb.o \
clarf.o \
clarfg.o \
clarfp.o \
clarft.o \
clarfx.o \
clargv.o \
clarnv.o \
cla_rpvgrw.o \
clarrv.o \
clarscl2.o \
clartg.o \
clartv.o \
clarzb.o \
clarz.o \
clarzt.o \
clascl2.o \
clascl.o \
claset.o \
clasr.o \
classq.o \
claswp.o \
cla_syamv.o \
clasyf.o \
cla_syrcond_c.o \
cla_syrcond_x.o \
cla_syrfsx_extended.o \
cla_syrpvgrw.o \
clatbs.o \
clatdf.o \
clatps.o \
clatrd.o \
clatrs.o \
clatrz.o \
clatzm.o \
clauu2.o \
clauum.o \
cla_wwaddw.o \
cpbcon.o \
cpbequ.o \
cpbrfs.o \
cpbstf.o \
cpbsv.o \
cpbsvx.o \
cpbtf2.o \
cpbtrf.o \
cpbtrs.o \
cpftrf.o \
cpftri.o \
cpftrs.o \
cpocon.o \
cpoequb.o \
cpoequ.o \
cporfs.o \
cporfsx.o \
cposv.o \
cposvx.o \
cposvxx.o \
cpotf2.o \
cpotrf.o \
cpotri.o \
cpotrs.o \
cppcon.o \
cppequ.o \
cpprfs.o \
cppsv.o \
cppsvx.o \
cpptrf.o \
cpptri.o \
cpptrs.o \
cpstf2.o \
cpstrf.o \
cptcon.o \
cpteqr.o \
cptrfs.o \
cptsv.o \
cptsvx.o \
cpttrf.o \
cpttrs.o \
cptts2.o \
crot.o \
cspcon.o \
cspmv.o \
cspr.o \
csprfs.o \
cspsv.o \
cspsvx.o \
csptrf.o \
csptri.o \
csptrs.o \
csrscl.o \
cstedc.o \
cstegr.o \
cstein.o \
cstemr.o \
csteqr.o \
csycon.o \
csyequb.o \
csymv.o \
csyr.o \
csyrfs.o \
csyrfsx.o \
csysv.o \
csysvx.o \
csysvxx.o \
csytf2.o \
csytrf.o \
csytri.o \
csytrs.o \
ctbcon.o \
ctbrfs.o \
ctbtrs.o \
ctfsm.o \
ctftri.o \
ctfttp.o \
ctfttr.o \
ctgevc.o \
ctgex2.o \
ctgexc.o \
ctgsen.o \
ctgsja.o \
ctgsna.o \
ctgsy2.o \
ctgsyl.o \
ctpcon.o \
ctprfs.o \
ctptri.o \
ctptrs.o \
ctpttf.o \
ctpttr.o \
ctrcon.o \
ctrevc.o \
ctrexc.o \
ctrrfs.o \
ctrsen.o \
ctrsna.o \
ctrsyl.o \
ctrti2.o \
ctrtri.o \
ctrtrs.o \
ctrttf.o \
ctrttp.o \
ctzrqf.o \
ctzrzf.o \
cung2l.o \
cung2r.o \
cungbr.o \
cunghr.o \
cungl2.o \
cunglq.o \
cungql.o \
cungqr.o \
cungr2.o \
cungrq.o \
cungtr.o \
cunm2l.o \
cunm2r.o \
cunmbr.o \
cunmhr.o \
cunml2.o \
cunmlq.o \
cunmql.o \
cunmqr.o \
cunmr2.o \
cunmr3.o \
cunmrq.o \
cunmrz.o \
cunmtr.o \
cupgtr.o \
cupmtr.o \
dbdsdc.o \
dbdsqr.o \
ddisna.o \
dgbbrd.o \
dgbcon.o \
dgbequb.o \
dgbequ.o \
dgbrfs.o \
dgbrfsx.o \
dgbsv.o \
dgbsvx.o \
dgbsvxx.o \
dgbtf2.o \
dgbtrf.o \
dgbtrs.o \
dgebak.o \
dgebal.o \
dgebd2.o \
dgebrd.o \
dgecon.o \
dgeequb.o \
dgeequ.o \
dgees.o \
dgeesx.o \
dgeev.o \
dgeevx.o \
dgegs.o \
dgegv.o \
dgehd2.o \
dgehrd.o \
dgejsv.o \
dgelq2.o \
dgelqf.o \
dgelsd.o \
dgels.o \
dgelss.o \
dgelsx.o \
dgelsy.o \
dgeql2.o \
dgeqlf.o \
dgeqp3.o \
dgeqpf.o \
dgeqr2.o \
dgeqrf.o \
dgerfs.o \
dgerfsx.o \
dgerq2.o \
dgerqf.o \
dgesc2.o \
dgesdd.o \
dgesvd.o \
dgesv.o \
dgesvj.o \
dgesvx.o \
dgesvxx.o \
dgetc2.o \
dgetf2.o \
dgetrf.o \
dgetri.o \
dgetrs.o \
dggbak.o \
dggbal.o \
dgges.o \
dggesx.o \
dggev.o \
dggevx.o \
dggglm.o \
dgghrd.o \
dgglse.o \
dggqrf.o \
dggrqf.o \
dggsvd.o \
dggsvp.o \
dgsvj0.o \
dgsvj1.o \
dgtcon.o \
dgtrfs.o \
dgtsv.o \
dgtsvx.o \
dgttrf.o \
dgttrs.o \
dgtts2.o \
dhgeqz.o \
dhsein.o \
dhseqr.o \
disnan.o \
dlabad.o \
dlabrd.o \
dlacn2.o \
dlacon.o \
dlacpy.o \
dladiv.o \
dlae2.o \
dlaebz.o \
dlaed0.o \
dlaed1.o \
dlaed2.o \
dlaed3.o \
dlaed4.o \
dlaed5.o \
dlaed6.o \
dlaed7.o \
dlaed8.o \
dlaed9.o \
dlaeda.o \
dlaein.o \
dlaev2.o \
dlaexc.o \
dlag2.o \
dlag2s.o \
dla_gbamv.o \
dla_gbrcond.o \
dla_gbrfsx_extended.o \
dla_gbrpvgrw.o \
dla_geamv.o \
dla_gercond.o \
dla_gerfsx_extended.o \
dlags2.o \
dlagtf.o \
dlagtm.o \
dlagts.o \
dlagv2.o \
dlahqr.o \
dlahr2.o \
dlahrd.o \
dlaic1.o \
dlaisnan.o \
dla_lin_berr.o \
dlaln2.o \
dlals0.o \
dlalsa.o \
dlalsd.o \
dlamch.o \
dlamrg.o \
dlaneg.o \
dlangb.o \
dlange.o \
dlangt.o \
dlanhs.o \
dlansb.o \
dlansf.o \
dlansp.o \
dlanst.o \
dlansy.o \
dlantb.o \
dlantp.o \
dlantr.o \
dlanv2.o \
dlapll.o \
dlapmt.o \
dla_porcond.o \
dla_porfsx_extended.o \
dla_porpvgrw.o \
dlapy2.o \
dlapy3.o \
dlaqgb.o \
dlaqge.o \
dlaqp2.o \
dlaqps.o \
dlaqr0.o \
dlaqr1.o \
dlaqr2.o \
dlaqr3.o \
dlaqr4.o \
dlaqr5.o \
dlaqsb.o \
dlaqsp.o \
dlaqsy.o \
dlaqtr.o \
dlar1v.o \
dlar2v.o \
dlarfb.o \
dlarf.o \
dlarfg.o \
dlarfp.o \
dlarft.o \
dlarfx.o \
dlargv.o \
dlarnv.o \
dla_rpvgrw.o \
dlarra.o \
dlarrb.o \
dlarrc.o \
dlarrd.o \
dlarre.o \
dlarrf.o \
dlarrj.o \
dlarrk.o \
dlarrr.o \
dlarrv.o \
dlarscl2.o \
dlartg.o \
dlartv.o \
dlaruv.o \
dlarzb.o \
dlarz.o \
dlarzt.o \
dlas2.o \
dlascl2.o \
dlascl.o \
dlasd0.o \
dlasd1.o \
dlasd2.o \
dlasd3.o \
dlasd4.o \
dlasd5.o \
dlasd6.o \
dlasd7.o \
dlasd8.o \
dlasda.o \
dlasdq.o \
dlasdt.o \
dlaset.o \
dlasq1.o \
dlasq2.o \
dlasq3.o \
dlasq4.o \
dlasq5.o \
dlasq6.o \
dlasr.o \
dlasrt.o \
dlassq.o \
dlasv2.o \
dlaswp.o \
dlasy2.o \
dla_syamv.o \
dlasyf.o \
dla_syrcond.o \
dla_syrfsx_extended.o \
dla_syrpvgrw.o \
dlat2s.o \
dlatbs.o \
dlatdf.o \
dlatps.o \
dlatrd.o \
dlatrs.o \
dlatrz.o \
dlatzm.o \
dlauu2.o \
dlauum.o \
dla_wwaddw.o \
dopgtr.o \
dopmtr.o \
dorg2l.o \
dorg2r.o \
dorgbr.o \
dorghr.o \
dorgl2.o \
dorglq.o \
dorgql.o \
dorgqr.o \
dorgr2.o \
dorgrq.o \
dorgtr.o \
dorm2l.o \
dorm2r.o \
dormbr.o \
dormhr.o \
dorml2.o \
dormlq.o \
dormql.o \
dormqr.o \
dormr2.o \
dormr3.o \
dormrq.o \
dormrz.o \
dormtr.o \
dpbcon.o \
dpbequ.o \
dpbrfs.o \
dpbstf.o \
dpbsv.o \
dpbsvx.o \
dpbtf2.o \
dpbtrf.o \
dpbtrs.o \
dpftrf.o \
dpftri.o \
dpftrs.o \
dpocon.o \
dpoequb.o \
dpoequ.o \
dporfs.o \
dporfsx.o \
dposv.o \
dposvx.o \
dposvxx.o \
dpotf2.o \
dpotrf.o \
dpotri.o \
dpotrs.o \
dppcon.o \
dppequ.o \
dpprfs.o \
dppsv.o \
dppsvx.o \
dpptrf.o \
dpptri.o \
dpptrs.o \
dpstf2.o \
dpstrf.o \
dptcon.o \
dpteqr.o \
dptrfs.o \
dptsv.o \
dptsvx.o \
dpttrf.o \
dpttrs.o \
dptts2.o \
drscl.o \
dsbevd.o \
dsbev.o \
dsbevx.o \
dsbgst.o \
dsbgvd.o \
dsbgv.o \
dsbgvx.o \
dsbtrd.o \
dsfrk.o \
dsgesv.o \
dspcon.o \
dspevd.o \
dspev.o \
dspevx.o \
dspgst.o \
dspgvd.o \
dspgv.o \
dspgvx.o \
dsposv.o \
dsprfs.o \
dspsv.o \
dspsvx.o \
dsptrd.o \
dsptrf.o \
dsptri.o \
dsptrs.o \
dstebz.o \
dstedc.o \
dstegr.o \
dstein.o \
dstemr.o \
dsteqr.o \
dsterf.o \
dstevd.o \
dstev.o \
dstevr.o \
dstevx.o \
dsycon.o \
dsyequb.o \
dsyevd.o \
dsyev.o \
dsyevr.o \
dsyevx.o \
dsygs2.o \
dsygst.o \
dsygvd.o \
dsygv.o \
dsygvx.o \
dsyrfs.o \
dsyrfsx.o \
dsysv.o \
dsysvx.o \
dsysvxx.o \
dsytd2.o \
dsytf2.o \
dsytrd.o \
dsytrf.o \
dsytri.o \
dsytrs.o \
dtbcon.o \
dtbrfs.o \
dtbtrs.o \
dtfsm.o \
dtftri.o \
dtfttp.o \
dtfttr.o \
dtgevc.o \
dtgex2.o \
dtgexc.o \
dtgsen.o \
dtgsja.o \
dtgsna.o \
dtgsy2.o \
dtgsyl.o \
dtpcon.o \
dtprfs.o \
dtptri.o \
dtptrs.o \
dtpttf.o \
dtpttr.o \
dtrcon.o \
dtrevc.o \
dtrexc.o \
dtrrfs.o \
dtrsen.o \
dtrsna.o \
dtrsyl.o \
dtrti2.o \
dtrtri.o \
dtrtrs.o \
dtrttf.o \
dtrttp.o \
dtzrqf.o \
dtzrzf.o \
dzsum1.o \
icmax1.o \
ieeeck.o \
ilaclc.o \
ilaclr.o \
iladiag.o \
iladlc.o \
iladlr.o \
ilaenv.o \
ilaprec.o \
ilaslc.o \
ilaslr.o \
ilatrans.o \
ilauplo.o \
ilaver.o \
ilazlc.o \
ilazlr.o \
iparmq.o \
izmax1.o \
lsame.o \
lsamen.o \
sbdsdc.o \
sbdsqr.o \
scsum1.o \
sdisna.o \
sgbbrd.o \
sgbcon.o \
sgbequb.o \
sgbequ.o \
sgbrfs.o \
sgbrfsx.o \
sgbsv.o \
sgbsvx.o \
sgbsvxx.o \
sgbtf2.o \
sgbtrf.o \
sgbtrs.o \
sgebak.o \
sgebal.o \
sgebd2.o \
sgebrd.o \
sgecon.o \
sgeequb.o \
sgeequ.o \
sgees.o \
sgeesx.o \
sgeev.o \
sgeevx.o \
sgegs.o \
sgegv.o \
sgehd2.o \
sgehrd.o \
sgejsv.o \
sgelq2.o \
sgelqf.o \
sgelsd.o \
sgels.o \
sgelss.o \
sgelsx.o \
sgelsy.o \
sgeql2.o \
sgeqlf.o \
sgeqp3.o \
sgeqpf.o \
sgeqr2.o \
sgeqrf.o \
sgerfs.o \
sgerfsx.o \
sgerq2.o \
sgerqf.o \
sgesc2.o \
sgesdd.o \
sgesvd.o \
sgesv.o \
sgesvj.o \
sgesvx.o \
sgesvxx.o \
sgetc2.o \
sgetf2.o \
sgetrf.o \
sgetri.o \
sgetrs.o \
sggbak.o \
sggbal.o \
sgges.o \
sggesx.o \
sggev.o \
sggevx.o \
sggglm.o \
sgghrd.o \
sgglse.o \
sggqrf.o \
sggrqf.o \
sggsvd.o \
sggsvp.o \
sgsvj0.o \
sgsvj1.o \
sgtcon.o \
sgtrfs.o \
sgtsv.o \
sgtsvx.o \
sgttrf.o \
sgttrs.o \
sgtts2.o \
shgeqz.o \
shsein.o \
shseqr.o \
sisnan.o \
slabad.o \
slabrd.o \
slacn2.o \
slacon.o \
slacpy.o \
sladiv.o \
slae2.o \
slaebz.o \
slaed0.o \
slaed1.o \
slaed2.o \
slaed3.o \
slaed4.o \
slaed5.o \
slaed6.o \
slaed7.o \
slaed8.o \
slaed9.o \
slaeda.o \
slaein.o \
slaev2.o \
slaexc.o \
slag2d.o \
slag2.o \
sla_gbamv.o \
sla_gbrcond.o \
sla_gbrfsx_extended.o \
sla_gbrpvgrw.o \
sla_geamv.o \
sla_gercond.o \
sla_gerfsx_extended.o \
slags2.o \
slagtf.o \
slagtm.o \
slagts.o \
slagv2.o \
slahqr.o \
slahr2.o \
slahrd.o \
slaic1.o \
slaisnan.o \
sla_lin_berr.o \
slaln2.o \
slals0.o \
slalsa.o \
slalsd.o \
slamch.o \
slamrg.o \
slaneg.o \
slangb.o \
slange.o \
slangt.o \
slanhs.o \
slansb.o \
slansf.o \
slansp.o \
slanst.o \
slansy.o \
slantb.o \
slantp.o \
slantr.o \
slanv2.o \
slapll.o \
slapmt.o \
sla_porcond.o \
sla_porfsx_extended.o \
sla_porpvgrw.o \
slapy2.o \
slapy3.o \
slaqgb.o \
slaqge.o \
slaqp2.o \
slaqps.o \
slaqr0.o \
slaqr1.o \
slaqr2.o \
slaqr3.o \
slaqr4.o \
slaqr5.o \
slaqsb.o \
slaqsp.o \
slaqsy.o \
slaqtr.o \
slar1v.o \
slar2v.o \
slarfb.o \
slarf.o \
slarfg.o \
slarfp.o \
slarft.o \
slarfx.o \
slargv.o \
slarnv.o \
sla_rpvgrw.o \
slarra.o \
slarrb.o \
slarrc.o \
slarrd.o \
slarre.o \
slarrf.o \
slarrj.o \
slarrk.o \
slarrr.o \
slarrv.o \
slarscl2.o \
slartg.o \
slartv.o \
slaruv.o \
slarzb.o \
slarz.o \
slarzt.o \
slas2.o \
slascl2.o \
slascl.o \
slasd0.o \
slasd1.o \
slasd2.o \
slasd3.o \
slasd4.o \
slasd5.o \
slasd6.o \
slasd7.o \
slasd8.o \
slasda.o \
slasdq.o \
slasdt.o \
slaset.o \
slasq1.o \
slasq2.o \
slasq3.o \
slasq4.o \
slasq5.o \
slasq6.o \
slasr.o \
slasrt.o \
slassq.o \
slasv2.o \
slaswp.o \
slasy2.o \
sla_syamv.o \
slasyf.o \
sla_syrcond.o \
sla_syrfsx_extended.o \
sla_syrpvgrw.o \
slatbs.o \
slatdf.o \
slatps.o \
slatrd.o \
slatrs.o \
slatrz.o \
slatzm.o \
slauu2.o \

=== debian/changelog ===
abinit (7.8.2-3) unstable; urgency=medium

  [ Michael Banck ]
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed URLs.
  * debian/rules (override_dh_auto_build): New target, builds documentation
    and additional PDFs besides the regular build.
  * debian/patches/enable_pstricks_with_pdflatex.patch: Updated to include
    auto-pst-pdf package, which is required but does not get included
    automatically anymore (Closes: #800736).
  * debian/rules (override_dh_install): Renamed to ...
  * debian/rules (override_dh_auto_install): ... this.  Run dh_auto_install
    once for the regular build and the documentation.

  [ Daniel Leidert ]
  * debian/watch: Fixed.

 -- Michael Banck <mbanck@debian.org>  Sun, 22 Nov 2015 16:42:58 +0100

abinit (7.8.2-2) unstable; urgency=medium

  * Fix copyright of doc/versioning/leaflet.cls
    Closes: #747204

 -- Andreas Tille <tille@debian.org>  Wed, 03 Sep 2014 09:03:48 +0200

abinit (7.8.2-1) unstable; urgency=medium

  * New upstream version (adapted patches)
    Closes: #747259
  * No need to remove documentation without source any more
    since it was removed by upstream
  * moved debian/upstream to debian/upstream/metadata
  * Upstream changed the way to install docs so several changes in
    d/rules and d/abinit-doc.install were needed.  Docs are now
    rebuilded from source
  * Several patches needed to enable building latex source

 -- Andreas Tille <tille@debian.org>  Thu, 21 Aug 2014 11:33:37 +0200

abinit (7.6.3+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #530036, #732520
  * debian/copyright:
     - reviewed
     - DEP5
     - Files-Excluded: doc/developers/strain_nonlocal/strainpert.pdf
       since this is the only remaining binary without source
  * debian/rules: remove orig-tarball target since with new uscan
    the remaining to be deleted file can be dealt very easily
  * debian/control:
     - Build-Depends: python (to enable running tests)
  * separate packages for docs and examples
  * debian/tests: currently autopkgtest is disabled since it seems
    that abinit needs the full source directory.  Leave some skeleton
    what might be needed in debian/tests anyway.

  [ Michael Banck ]
  * debian/rules: Fix nocheck case in DEB_BUILD_OPTIONS for dh_auto_test. 
  * debian/patches/help_index.patch: New patch, adding an top-level index page
    for the HTML documentation.
  * debian/rules (override_dh_compress): New rule, do not compress .pdf files.
  * debian/patches/testsuite_parallel.patch: New patch, limit number of cores
    for test suite to 2, instead of 6.
  * debian/abinit-doc.install: Install documentation into html subdirectory.
  * debian/rules (override_dh_compress): Do not compress example .in files.
  * debian/control (abinit-examples): Renamed to ...
  * debian/control (abinit-data): ... this.  Also, update descriptions
    accordingly and make abinit Recommend abinit-data.
  * debian/abinit-data.install: New file, install pseudopotentials in
    /usr/share/abinit/psp and tutorials in /usr/share/doc/abinit/examples.
  * debian/rules (DATPKGNAME): New variable.
  * debian/rules (override_dh_install): Modify example .files to take
    pseudopotentials from /usr/share/abinit/psp.  Also, remove HGH subdirectory
    as the pseudopotentials in there get installed in the main directory.
  * debian/TODO: New file.
  * debian/rules (override_dh_auto_test): Run "fast" subset of testsuite by
    default, not full testsuite.
  * debian/rules (override_dh_auto_clean): New target, cleans up upstream test/
    directory after testsuite run.
  * debian/control (Uploaders): Added myself.

 -- Michael Banck <mbanck@debian.org>  Sun, 20 Apr 2014 13:29:58 +0200

=== debian/control ===
Source: abinit
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Michael Banck <mbanck@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               gfortran,
               liblapack-dev,
               python,
               graphviz,
               markdown,
               ghostscript,
               texlive-latex-extra,
               texlive-fonts-recommended,
               texlive-extra-utils,
               texlive-pstricks,
               texlive-publishers
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/abinit/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/abinit/
Homepage: http://www.abinit.org/

Package: abinit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: abinit-doc
Recommends: abinit-data
Description: package for electronic structure calculations
 ABINIT is a package whose main program allows one to find the total energy,
 charge density and electronic structure of systems made of electrons and
 nuclei (molecules and periodic solids) within Density Functional Theory (DFT),
 using pseudopotentials and a planewave basis. 
 .
 ABINIT also includes options to optimize the geometry according to the DFT
 forces and stresses, or to perform molecular dynamics simulations using these
 forces, or to generate dynamical matrices, Born effective charges, and
 dielectric tensors. Excited states can be computed within the Time-Dependent
 Density Functional Theory (for molecules), or within Many-Body Perturbation
 Theory (the GW approximation). In addition to the main ABINIT code, different
 utility programs are provided.
 .
 This package contains the executables needed to perform calculations (however,
 pseudopotentials are not supplied).  For a set of pseudopotentials, install
 the abinit-data package.

Package: abinit-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description:package for electronic structure calculations (Documentation)
 ABINIT is a package whose main program allows one to find the total energy,
 charge density and electronic structure of systems made of electrons and
 nuclei (molecules and periodic solids) within Density Functional Theory (DFT),
 using pseudopotentials and a planewave basis. 
 .
 ABINIT also includes options to optimize the geometry according to the DFT
 forces and stresses, or to perform molecular dynamics simulations using these
 forces, or to generate dynamical matrices, Born effective charges, and
 dielectric tensors. Excited states can be computed within the Time-Dependent
 Density Functional Theory (for molecules), or within Many-Body Perturbation
 Theory (the GW approximation). In addition to the main ABINIT code, different
 utility programs are provided.
 .
 This package contains the documentation and tutorials.

Package: abinit-data
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: package for electronic structure calculations (Data files)
 ABINIT is a package whose main program allows one to find the total energy,
 charge density and electronic structure of systems made of electrons and
 nuclei (molecules and periodic solids) within Density Functional Theory (DFT),
 using pseudopotentials and a planewave basis. 
 .
 ABINIT also includes options to optimize the geometry according to the DFT
 forces and stresses, or to perform molecular dynamics simulations using these
 forces, or to generate dynamical matrices, Born effective charges, and
 dielectric tensors. Excited states can be computed within the Time-Dependent
 Density Functional Theory (for molecules), or within Many-Body Perturbation
 Theory (the GW approximation). In addition to the main ABINIT code, different
 utility programs are provided.
 .
 This package contains a set of pseudopotentials and example inputs.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# DEB_BUILD_OPTIONS=nocheck

DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
DOCPKGNAME := $(DEBPKGNAME)-doc
DATPKGNAME := $(DEBPKGNAME)-data

%:
	dh $@ --with autotools_dev

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=doc
	rm -f doc/presentation/presentation*.pdf
	find doc -name "*.aux" -delete
	find doc -name "*.log" -delete
	rm -f doc/theory/ELF/wf_elecden_kinden_elf.pdf doc/theory/ELF/test_report/test_report_elf.pdf
	# clean up test suite
	rm -rf tests/Test_suite
	rm -f  tests/test_suite.cpkl
	find tests -name "*.pyc" -delete

override_dh_auto_configure:
	dh_auto_configure -- --with-linalg-ldflags="-lblas -llapack"
	dh_auto_configure --sourcedirectory=doc -- --prefix=/usr

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=doc
	cd doc/theory/ELF && pdflatex -interaction=nonstopmode --shell-escape wf_elecden_kinden_elf.tex
	cd doc/theory/ELF/test_report && pdflatex -interaction=nonstopmode --shell-escape test_report_elf.tex
	cd doc/theory/KDEN && pdflatex -interaction=nonstopmode --shell-escape test_report_kden.tex
	cd doc/theory/MGGA && pdflatex -interaction=nonstopmode --shell-escape report_MGGA.tex

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=doc
	# Installing the LaTeX source inside the abinit-doc package does not
	# make any sense
	find debian -type f -name "*.tex" -delete
	# remove documentation for building the software from user docs
	rm -rf debian/$(DOCPKGNAME)/usr/share/doc/$(DEBPKGNAME)/help_make
	# change example input files psp location to /usr/share/abinit/psp
	for i in `ls debian/$(DATPKGNAME)/usr/share/doc/abinit/examples/*.files`; do	\
		sed -i -e s#../../../Psps_for_tests/HGH/#/usr/share/abinit/psp/#g	\
		       -e s#../../../Psps_for_tests/#/usr/share/abinit/psp/#g		\
		       -e s#../../Psps_for_tests/#/usr/share/abinit/psp/#g $$i;		\
	done
	# remove HGH subdirectory as we install the files in there directly to
	# /usr/share/abinit/psp
	rm -rf debian/$(DATPKGNAME)/usr/share/abinit/psp/HGH

override_dh_compress:
	dh_compress -X.pdf -X.in -X.in_freq

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	(cd tests; ./runtests.py fast)
endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, abinit-examples
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*/(\d+)-(\d+)\.(\d+)$#http://ftp.abinit.org/abinit-$1.$2.$3.tar.gz#g,filenamemangle=s#.*/(\d+)-(\d+)\.(\d+)$#abinit-$1.$2.$3.tar.gz#g \
 http://www.abinit.org/downloads/packages/(\d+)-(\d+)\.(\d+)

## abinit 8.0.8

=== blas/Makefile ===
#
# Makefile for the BLAS library embedded in ABINIT
#

include ../config.mk

.SUFFIXES:
.SUFFIXES: .o .f

.f.o:
	$(F77) $(FFLAGS) -c $<

blas_objects = \
	caxpy.o \
	ccopy.o \
	cdotc.o \
	cdotu.o \
	cgbmv.o \
	cgemm.o \
	cgemv.o \
	cgerc.o \
	cgeru.o \
	chbmv.o \
	chemm.o \
	chemv.o \
	cher.o \
	cher2.o \
	cher2k.o \
	cherk.o \
	chpmv.o \
	chpr.o \
	chpr2.o \
	crotg.o \
	cscal.o \
	csscal.o \
	cswap.o \
	csymm.o \
	csyr2k.o \
	csyrk.o \
	ctbmv.o \
	ctbsv.o \
	ctpmv.o \
	ctpsv.o \
	ctrmm.o \
	ctrmv.o \
	ctrsm.o \
	ctrsv.o \
	dasum.o \
	daxpy.o \
	dcabs1.o \
	dcopy.o \
	ddot.o \
	dgbmv.o \
	dgemm.o \
	dgemv.o \
	dger.o \
	dnrm2.o \
	drot.o \
	drotm.o \
	drotmg.o \
	dsbmv.o \
	dscal.o \
	dsdot.o \
	dspmv.o \
	dspr.o \
	dspr2.o \
	dswap.o \
	dsymm.o \
	dsymv.o \
	dsyr.o \
	dsyr2.o \
	dsyr2k.o \
	dsyrk.o \
	dtbmv.o \
	dtbsv.o \
	dtpmv.o \
	dtpsv.o \
	dtrmm.o \
	dtrmv.o \
	dtrsm.o \
	dtrsv.o \
	dzasum.o \
	dznrm2.o \
	icamax.o \
	idamax.o \
	isamax.o \
	izamax.o \
	lsame.o \
	sasum.o \
	saxpy.o \
	scasum.o \
	scabs1.o \
	scnrm2.o \
	scopy.o \
	sdot.o \
	sdsdot.o \
	sgbmv.o \
	sgemm.o \
	sgemv.o \
	sger.o \
	snrm2.o \
	srot.o \
	srotm.o \
	srotmg.o \
	ssbmv.o \
	sscal.o \
	sspmv.o \
	sspr.o \
	sspr2.o \
	sswap.o \
	ssymm.o \
	ssymv.o \
	ssyr.o \
	ssyr2.o \
	ssyr2k.o \
	ssyrk.o \
	stbmv.o \
	stbsv.o \
	stpmv.o \
	stpsv.o \
	strmm.o \
	strmv.o \
	strsm.o \
	strsv.o \
	xerbla.o \
	xerbla_array.o \
	zaxpy.o \
	zcopy.o \
	zdotc.o \
	zdotu.o \
	zdrot.o \
	zdscal.o \
	zgbmv.o \
	zgemm.o \
	zgemv.o \
	zgerc.o \
	zgeru.o \
	zhbmv.o \
	zhemm.o \
	zhemv.o \
	zher.o \
	zher2.o \
	zher2k.o \
	zherk.o \
	zhpmv.o \
	zhpr.o \
	zhpr2.o \
	zrotg.o \
	zscal.o \
	zswap.o \
	zsymm.o \
	zsyr2k.o \
	zsyrk.o \
	ztbmv.o \
	ztbsv.o \
	ztpmv.o \
	ztpsv.o \
	ztrmm.o \
	ztrmv.o \
	ztrsm.o \
	ztrsv.o

all_targets all: libblas.a
	@echo "BLAS for ABINIT has been built."

libblas.a: $(blas_objects)
	$(AR) $(ARFLAGS) $@ $(blas_objects)
	-$(RANLIB) $@

clean:
	rm -rf $(blas_objects) libblas.a

=== debian/changelog ===
abinit (8.0.8-4) unstable; urgency=medium

  * debian/patches/gcc7_random_seek.patch: Fix typo.

 -- Michael Banck <mbanck@debian.org>  Sat, 05 Aug 2017 15:25:48 -0400

abinit (8.0.8-3) unstable; urgency=medium

  * debian/patches/series: Updated.

 -- Michael Banck <mbanck@debian.org>  Sat, 05 Aug 2017 14:05:18 -0400

abinit (8.0.8-2) unstable; urgency=medium

  * debian/patches/gcc7_random_seek.patch: New patch, fix FTBFS error with GCC7
    (Closes: #853297).

 -- Michael Banck <mbanck@debian.org>  Sat, 05 Aug 2017 12:33:21 -0400

abinit (8.0.8-1) unstable; urgency=medium

  * New upstream version
  * Add texlive-luatex to Build-Depends
    Closes: #835781
  * Remove "Section: doc" from abinit-data package
    Closes: #762914
  * cme fix dpkg-control
  * fix DEP5 names
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2016 08:50:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # DEB_BUILD_OPTIONS=nocheck

## abinit 8.8.4

=== debian/changelog ===
abinit (8.8.4-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_test-arch): Increase test timeout two-fold
    (Closes: #883974).

 -- Michael Banck <mbanck@debian.org>  Tue, 25 Dec 2018 14:00:14 +0100

abinit (8.8.4-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * New upstream version (Closes: #907395)
  * Updating patch enable_pstricks_with_pdflatex.patch.
  * Removing upstream-integrated patch gcc7_random_seek.patch.
  * Removing patch help_index.patch as HTML documentation is no longer present
    in the upstream tarball.
  * Bumping compat.
  * debian/rules: autotools-dev sequence has been replaced by dh in debhelper.
  * Dropping build-dependency on autotools-dev (included in debhelper).
  * Using upstream-preferred method instead of dh_autoreconf.
  * Adding one more patch to remove non-existent response.pdf.
  * debian/abinit-doc.install: locations of many docs have been changed.
  * Generating manpages using help2man, as old manpages are gone.
  * Adding help2man to Build-Depends.
  * Setting $HOME to /nonexistent to prevent writing to it.
  * Passing '-g' flag to Fortran compiler.
  * Adding '-ffree-line-length-none' to FCFLAGS, as suggested in
    https://github.com/abinit/abinit/issues/1.
  * debian/copyright: HTTP -> HTTPS.
  * debian/rules: fixing documentation path, skipping compression of .md files.
  * debian/rules: fixing replacement of pseudopotential directory.
  * Adding lintian override to ignore missing source of unused JS file.
  * debian/rules: separating -arch and -indep targets.

  [ Michael Banck ]
  * debian/watch: Updated.

 -- Michael Banck <mbanck@debian.org>  Fri, 14 Sep 2018 19:31:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,34 @@
 Source: abinit
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Michael Banck <mbanck@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Michael Banck <mbanck@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
+Build-Depends: debhelper (>= 11),
                gfortran,
                liblapack-dev,
                python,
                graphviz,
                markdown,
                ghostscript,
+               help2man,
                texlive-latex-extra,
                texlive-fonts-recommended,
                texlive-extra-utils,
                texlive-pstricks,
-               texlive-publishers
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/abinit/
-Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/abinit/
+               texlive-publishers,
+               texlive-luatex
+Standards-Version: 3.9.8
+Vcs-Browser: https://salsa.debian.org/debichem-team/abinit
+Vcs-Git: https://salsa.debian.org/debichem-team/abinit.git
 Homepage: http://www.abinit.org/
 
 Package: abinit
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Recommends: abinit-data
 Suggests: abinit-doc
-Recommends: abinit-data
 Description: package for electronic structure calculations
  ABINIT is a package whose main program allows one to find the total energy,
  charge density and electronic structure of systems made of electrons and
@@ -50,7 +52,7 @@
 Section: doc
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Description:package for electronic structure calculations (Documentation)
+Description: package for electronic structure calculations (Documentation)
  ABINIT is a package whose main program allows one to find the total energy,
  charge density and electronic structure of systems made of electrons and
  nuclei (molecules and periodic solids) within Density Functional Theory (DFT),
@@ -68,7 +70,6 @@
 
 Package: abinit-data
 Architecture: all
-Section: doc
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: package for electronic structure calculations (Data files)

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export HOME = /nonexistent

# DEB_BUILD_OPTIONS=nocheck

DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
DOCPKGNAME := $(DEBPKGNAME)-doc
DATPKGNAME := $(DEBPKGNAME)-data

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=doc
	rm -f doc/presentation/presentation*.pdf
	find doc -name "*.aux" -delete
	find doc -name "*.log" -delete
	rm -f doc/theory/ELF/wf_elecden_kinden_elf.pdf doc/theory/ELF/test_report/test_report_elf.pdf
	# clean up test suite
	rm -rf tests/Test_suite
	rm -f  tests/test_suite.cpkl
	find tests -name "*.pyc" -delete

override_dh_update_autotools_config:

override_dh_autoreconf:
	config/scripts/makemake

override_dh_auto_configure:
	FCFLAGS="-ffree-line-length-none -g" dh_auto_configure -- --with-linalg-ldflags="-lblas -llapack"
	dh_auto_configure --sourcedirectory=doc -- --prefix=/usr

override_dh_auto_build-indep:
	dh_auto_build
	dh_auto_build --sourcedirectory=doc
	cd doc/theory/ELF && pdflatex -interaction=nonstopmode --shell-escape wf_elecden_kinden_elf.tex
	cd doc/theory/ELF/test_report && pdflatex -interaction=nonstopmode --shell-escape test_report_elf.tex
	cd doc/theory/KDEN && pdflatex -interaction=nonstopmode --shell-escape test_report_kden.tex
	cd doc/theory/MGGA && pdflatex -interaction=nonstopmode --shell-escape report_MGGA.tex

override_dh_auto_install-indep:
	dh_auto_install
	dh_auto_install --sourcedirectory=doc
	# Installing the LaTeX source inside the abinit-doc package does not
	# make any sense
	find debian -type f -name "*.tex" -delete
	# remove documentation for building the software from user docs
	rm -rf debian/$(DOCPKGNAME)/usr/share/doc/$(DEBPKGNAME)/html/help_make
	# remove HGH subdirectory as we install the files in there directly to
	# /usr/share/abinit/psp
	rm -rf debian/$(DATPKGNAME)/usr/share/abinit/psp/HGH

override_dh_install-indep:
	dh_install
	# change example input files psp location to /usr/share/abinit/psp
	find debian/$(DATPKGNAME)/usr/share/doc/abinit/examples -name '*.files' \
		| xargs	sed -i -e s#../../../Psps_for_tests/HGH/#/usr/share/abinit/psp/#g	\
		               -e s#../../../Psps_for_tests/#/usr/share/abinit/psp/#g		\
		               -e s#../../Psps_for_tests/#/usr/share/abinit/psp/#g

override_dh_installman-arch:
	mkdir --parents debian/tmp/usr/share/man/man1/
	help2man --name 'Ab initio atomic-scale simulation software' \
		debian/tmp/usr/bin/abinit > debian/tmp/usr/share/man/man1/abinit.1
	help2man --name 'Ab initio atomic-scale simulation software' \
		debian/tmp/usr/bin/multibinit > debian/tmp/usr/share/man/man1/multibinit.1
	dh_installman

override_dh_compress:
	dh_compress -X.pdf -X.in -X.in_freq -X.md

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test-arch:
	(cd tests; ./runtests.py -t 1800 fast)
endif

# Tests are not needed for arch-indep packages:
override_dh_auto_test-indep:

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*/(\d+).(\d+)\.(\d+)$#https://www.abinit.org/sites/default/files/packages/abinit-$1.$2.$3.tar.gz#g,filenamemangle=s#.*/(\d+).(\d+)\.(\d+)$#abinit-$1.$2.$3.tar.gz#g \
 https://www.abinit.org/packages/ \/package/(\d+).(\d+)\.(\d+)

## abinit 8.10.2

=== requirements.txt ===
html2text
# Pinned versions
#-mkdocs==0.16.3
#-mkdocs-material==1.12.2
mkdocs==0.17.2
mkdocs-material==2.6.6
pymdown-extensions
python-markdown-math
pyyaml
pygments
pybtex

#graphviz or python-graphviz if conda
py_w3c
# Unit tests
pytest
#pytest-cov
#pytest-xdist

abimkdocs_plugin/.

=== debian/changelog ===
abinit (8.10.2-2) unstable; urgency=medium

  * debian/rules: Set -ffree-line-length-none in DEB_FCFLAGS_MAINT_APPEND and
    do not set FCFLAGS explicitly.
  * debian/tests/control: Require abinit-data, not abinit-examples.
  * debian/tests/control: Require python.
  * debian/patches/testsuite_autopkgtest.patch: New patch, allowing to use a
    system-installed abinit binary.
  * debian/tests/run-unit-test: Update test invocation.

 -- Michael Banck <mbanck@debian.org>  Sun, 08 Sep 2019 12:33:37 +0200

abinit (8.10.2-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches/enable_pstricks_with_pdflatex.patch: Refreshed.
  * debian/patches/fix_gfortran-9_compile_error.patch: New patch, fixes a
    compile error on gfortran-9, by Igor Gerasimov.
  * debian/rules (override_dh_auto_configure): Add -O2 to FCFLAGS.
  * debian/watch: Switch to Github for now as abinit.org currently has SSL
    issues.

 -- Michael Banck <mbanck@debian.org>  Sat, 07 Sep 2019 22:51:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_FCFLAGS_MAINT_APPEND = -ffree-line-length-none
 export HOME = /nonexistent
 
 # DEB_BUILD_OPTIONS=nocheck
@@ -32,7 +33,7 @@
 	config/scripts/makemake
 
 override_dh_auto_configure:
-	FCFLAGS="-ffree-line-length-none -g" dh_auto_configure -- --with-linalg-ldflags="-lblas -llapack"
+	dh_auto_configure -- --with-linalg-ldflags="-lblas -llapack"
 	dh_auto_configure --sourcedirectory=doc -- --prefix=/usr
 
 override_dh_auto_build-indep:

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, abinit-data, python
Restrictions: allow-stderr

## abinit 8.10.3

=== debian/changelog ===
abinit (8.10.3-3) unstable; urgency=medium

  [ Stuart Prescott ]
  * Use Python 3 for autopkgtest tests (Closes: #936105).
  * Drop incorrect documentation about autopkgtest tests.

  [ Michael Banck ]
  * debian/patches/build-system-python3.patch: New patch, switches the build
    system python scripts to python3 (Closes: #964710, #967040).
  * debian/rules (DEB_FCFLAGS_MAINT_APPEND): Add -fallow-argument-mismatch in
    order to build with gfortran-10.

 -- Michael Banck <mbanck@debian.org>  Sun, 27 Sep 2020 09:50:57 +0200

abinit (8.10.3-2) unstable; urgency=medium

  * debian/patches/disable_abisrc.patch: New patch, disables running abisrc.py
    from makemake (Closes: #944093). 
  * debian/control (Build-Depends): Switch from python to python3 (Closes:
    #936105).

 -- Michael Banck <mbanck@debian.org>  Thu, 07 Nov 2019 23:31:54 +0100

abinit (8.10.3-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Nov 2019 21:37:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 11),
                gfortran,
                liblapack-dev,
-               python,
+               python3,
                graphviz,
                markdown,
                ghostscript,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_FCFLAGS_MAINT_APPEND = -ffree-line-length-none
+export DEB_FCFLAGS_MAINT_APPEND = -ffree-line-length-none -fallow-argument-mismatch
 export HOME = /nonexistent
 
 # DEB_BUILD_OPTIONS=nocheck

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, abinit-data, python3
Restrictions: allow-stderr

## abinit 9.2.2

=== requirements.txt ===
--- 
+++ 
@@ -2,8 +2,12 @@
 # Pinned versions
 #-mkdocs==0.16.3
 #-mkdocs-material==1.12.2
-mkdocs==0.17.2
+#mkdocs==0.17.2 
+mkdocs==0.17.5 # required by py3.7 
 mkdocs-material==2.6.6
+# This to move to new mkdocs version (requires core refactoring)
+#mkdocs==1.0.4
+#mkdocs-material==3.3.0
 pymdown-extensions
 python-markdown-math
 pyyaml

=== debian/changelog ===
abinit (9.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/build-system-python3.patch: Refreshed.
  * debian/patches/fix_gfortran-9_compile_error.patch: Likewise.
  * debian/patches/testsuite_autopkgtest.patch: Likewise.
  * debian/patches/enable_pstricks_with_pdflatex.patch: Removed, no longer
    needed.
  * debian/patches/disable_abisrc.patch: Likewise.
  * debian/control (Build-Depends): Added libfftw3-dev, libhdf5-dev,
    libnetcdf-dev, libnetcdff-dev, libxc-dev, mpi-default-dev, python3-dev,
    python3-numpy, python3-pandas and python3-yaml.
  * debian/tests/control (Depends): Added python3-yaml, python3-numpy and
    python3-pandas.
  * debian/rules (override_dh_auto_install-indep): Updated for new
    pseudo-potenital subdirectories.
  * debian/abinit-data.install: Likewise.
  * debian/control (abinit/Depends): Added mpi-default-bin.
  * debian/rules (override_dh_auto_clean): Remove symlinks not cleaned up by
    build system and run makemake --clean.
  * debian/rules (override_dh_autoreconf): Only run makemake if Makefile.am
    does not exist already.
  * debian/abinit-doc.install: Remove no longer existing directory.
  * debian/rules (override_dh_auto_configure): Add configure option for libxc,
    netcdf and netcdf-fortran.
  * debian/salsa-ci.yml: New file.

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Feb 2021 11:25:14 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,16 @@
                markdown,
                ghostscript,
                help2man,
+               libfftw3-dev,
+               libhdf5-dev,
+               libnetcdf-dev,
+               libnetcdff-dev,
+               libxc-dev,
+               mpi-default-dev,
+               python3-dev,
+               python3-numpy,
+               python3-pandas,
+               python3-yaml,
                texlive-latex-extra,
                texlive-fonts-recommended,
                texlive-extra-utils,
@@ -26,7 +36,8 @@
 Package: abinit
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         mpi-default-bin
 Recommends: abinit-data
 Suggests: abinit-doc
 Description: package for electronic structure calculations

=== debian/watch ===
version=3
#opts=downloadurlmangle=s#.*/(\d+).(\d+)\.(\d+)$#https://www.abinit.org/sites/default/files/packages/abinit-$1.$2.$3.tar.gz#g,filenamemangle=s#.*/(\d+).(\d+)\.(\d+)$#abinit-$1.$2.$3.tar.gz#g \
#https://www.abinit.org/packages/ \/package/(\d+).(\d+)\.(\d+)
opts=uversionmangle=s/(\d+)\.(\d+)\.(\d+)/$1.$2.$3/ \
https://github.com/abinit/abinit/releases .*/archive/([\d.]+)\.tar\.(?:bz2|gz)

## abinit 9.6.2

=== requirements.txt ===
html2text

# Pinned versions for website deployment
mkdocs==1.1.2
mkdocs-material==7.0.6

pymdown-extensions==8.2
python-markdown-math
pyyaml
pygments
pybtex

#graphviz or python-graphviz if conda
#py_w3c

# Unit tests
pytest
#pytest-cov

abimkdocs_plugin/.

=== debian/changelog ===
abinit (9.6.2-1build1) jammy; urgency=medium

  * No-change rebuild against libxc9 on riscv64

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 06 Jan 2022 07:14:05 +0000

abinit (9.6.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/testsuite_autopkgtest.patch: Refreshed.
  * debian/patches/build-system-python3.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Jan 2022 22:53:06 +0100

abinit (9.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/build-system-python3.patch: Refreshed. 
  * debian/watch: Updated. 
  * debian/control (Build-Depends): Added libssl-dev. 

 -- Michael Banck <mbanck@debian.org>  Fri, 01 Oct 2021 22:32:38 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                libhdf5-dev,
                libnetcdf-dev,
                libnetcdff-dev,
+               libssl-dev,
                libxc-dev,
                mpi-default-dev,
                python3-dev,

## abinit 9.10.4

=== debian/changelog ===
abinit (9.10.4-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:59:01 +1100

abinit (9.10.4-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:10:23 +0000

abinit (9.10.4-2ubuntu1) noble; urgency=medium

  * debian/patches/python3.12.patch: Compatibility with python 3.12.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Jan 2024 22:12:54 +0000

abinit (9.10.4-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * debian/control (Build-Depends): Drop unused libnetcdf-dev build dependency
    (Closes: #1050787).

  [ Michael Banck ]
  * debian/patches/testsuite_autopkgtest.patch: Add uploaded but previously
    not committed syntax error fix.

 -- Michael Banck <mbanck@debian.org>  Mon, 11 Sep 2023 19:11:24 +0530

abinit (9.10.4-1) unstable; urgency=medium

  * New upstream release. 

  [ Andreas Tille ]
  * Fix watch file

  [ Michael Banck ]
  * debian/patches/fix_gfortran-9_compile_error.patch: Refreshed.
  * debian/patches/testsuite_autopkgtest.patch: Likewise.
  * debian/patches/build-system-python3.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Sep 2023 10:01:44 +0530

=== debian/rules ===
--- 
+++ 
@@ -22,18 +22,25 @@
 	find doc -name "*.aux" -delete
 	find doc -name "*.log" -delete
 	rm -f doc/theory/ELF/wf_elecden_kinden_elf.pdf doc/theory/ELF/test_report/test_report_elf.pdf
+	# clean up symlinks in src directory
+	find src -type l | xargs rm -f
 	# clean up test suite
 	rm -rf tests/Test_suite
 	rm -f  tests/test_suite.cpkl
 	find tests -name "*.pyc" -delete
+	config/scripts/makemake --clean
 
 override_dh_update_autotools_config:
 
 override_dh_autoreconf:
-	config/scripts/makemake
+	if [ ! -f Makefile.am ]; then config/scripts/makemake; fi
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-linalg-ldflags="-lblas -llapack"
+	dh_auto_configure --				\
+		--with-linalg-ldflags="-lblas -llapack"	\
+		--with-libxc				\
+		--with-netcdf				\
+		--with-netcdf-fortran
 	dh_auto_configure --sourcedirectory=doc -- --prefix=/usr
 
 override_dh_auto_build-indep:
@@ -52,9 +59,9 @@
 	find debian -type f -name "*.tex" -delete
 	# remove documentation for building the software from user docs
 	rm -rf debian/$(DOCPKGNAME)/usr/share/doc/$(DEBPKGNAME)/html/help_make
-	# remove HGH subdirectory as we install the files in there directly to
-	# /usr/share/abinit/psp
-	rm -rf debian/$(DATPKGNAME)/usr/share/abinit/psp/HGH
+	# remove pseudo subdirectories as we install the files in there
+	# directly to /usr/share/abinit/psp
+	rm -rf debian/$(DATPKGNAME)/usr/share/abinit/psp/Pseudo*
 
 override_dh_install-indep:
 	dh_install

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, abinit-data, python3, python3-yaml, python3-numpy, python3-pandas
Restrictions: allow-stderr

=== debian/watch ===
version=4

#opts=downloadurlmangle=s#.*/(\d+).(\d+)\.(\d+)$#https://www.abinit.org/sites/default/files/packages/abinit-$1.$2.$3.tar.gz#g,filenamemangle=s#.*/(\d+).(\d+)\.(\d+)$#abinit-$1.$2.$3.tar.gz#g \
#https://www.abinit.org/packages/ \/package/(\d+).(\d+)\.(\d+)

opts="uversionmangle=s/(\d+)\.(\d+)\.(\d+)/$1.$2.$3/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/abinit/abinit/tags .*/v?([\d.]+)\.tar\.(?:bz2|gz)
